body {
  margin: 0px;
  background: #fafafa;
  color: #000000;
  font-family: Helvetica, Sans Serif;
  font-weight: normal;
}
a {
  color: #000000;
}
h1 {
  text-align: center;
}

#loading-screen {
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
  position: fixed;
  z-index: 3;
  background: #fafafa;
}

#intro, #featured-games {
  max-width: 1000px;
  padding: 10px;
  margin: auto;
}

a.featuredGame {
  display: block;
  text-decoration: none;
  background-color: #ececec;
  padding: 20px;
  border-radius: 20px;
  margin-bottom: 15px;
}

a.featuredGame > h4 {
  margin-top: 0px;
}

#text {
  font-size: 130%;
}

.examples {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.example {
  width: 250px;
  height: 100px;
  line-height: 100px;
  display: flex;
}
.example > div {
  display: inline-block;
}

.sample-card {
  width: 84px;
  height: 84px;
  margin: 5px;
  padding: 0px;
  box-sizing: border-box;
  position: relative;
}
.sample-card .front-face {
  font-size: 100%;
  transform: rotateY(0deg);
  border-radius: 9px;
  border: 6px solid #cdcdcd;
  line-height :normal;
}

.example-green {
  color: green;
  font-size:3em;
  font-weight:bold;
}
.example-red {
  color: red;
  font-size:3em;
  font-weight:bold;
}

#container {
  height: 100vh;
  min-height: 300px;
  display: flex;
}

#start-pane {
  width: 100%;
  height: 100vh;
  margin: auto;
  z-index: 1;
  position: absolute;
  text-align: center;
  background: rgb(0.5,0.5,0.5,0.2);
}
#start-button {
  display: inline-block;
  width: 200px;
  margin-top: calc((100vh - 96px) / 2);
  background: #fafafa;
  font-size: 36px;
  font-weight: bold;
  line-height: 96px;
  border-radius: 15px;
  cursor: pointer;
}
#consent {
  display: inline-block;
  max-width: 300px;
  font-size: 14px;
}

#end-pane {
  width: 100%;
  height: calc(50vh - ((50vh - 146px) / 2));
  margin-top: 50vh;
  z-index: 2;
  position: absolute;
  padding-top: calc((50vh - 146px) / 2);
  text-align: center;
  font-size: 50px;
  background: rgb(0.2,0.2,0.2,0.6);
  visibility: hidden;
}
#restart-button {
  display: inline-block;
  width: 200px;
  background: #fafafa;
  font-size: 30px;
  font-weight: bold;
  line-height: 90px;
  border-radius: 15px;
  cursor: pointer;
}

#game-board {
  min-width: 240px;
  min-height: 240px;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  perspective: 10000px;
}
#game-board.pairs8 {
  width: 90vmin;
  height: 90vmin;
}
@media screen and (orientation:landscape) {
	#game-board.pairs15 {
	  width: min(90vw, 108vh);
	  height: min(90vh, 75vw);
	}
	#game-board.pairs14 {
	  width: min(90vw, 157.5vh);
	  height: min(90vh, 51.429vw);
	}
	#game-board.pairs12 {
	  width: min(90vw, 135vh);
	  height: min(90vh, 60vw);
	}
	#game-board.pairs10 {
	  width: min(90vw, 112.5vh);
	  height: min(90vh, 72vw);
	}
	#game-board.pairs6 {
	  width: min(90vw, 120vh);
	  height: min(90vh, 67.5vw);
	}
}
@media screen and (orientation:portrait) {
	#game-board.pairs15 {
	  width: min(90vw, 75vh);
	  height: min(90vh, 108vw);
	}
	#game-board.pairs14 {
	  width: min(90vw, 51.429vh);
	  height: min(90vh, 157.5vw);
	}
	#game-board.pairs12 {
	  width: min(90vw, 60vh);
	  height: min(90vh, 135vw);
	}
	#game-board.pairs10 {
	  width: min(90vw, 72vh);
	  height: min(90vh, 112.5vw);
	}
	#game-board.pairs6 {
	  width: min(90vw, 67.5vh);
	  height: min(90vh, 120vw);
	}
}

.game-card {
  margin: 5px;
  padding: 0px;
  box-sizing: border-box;
  position: relative;
  transform: scale(1);
  transform-style: preserve-3d;
  transition: transform .5s;
  cursor: pointer;
  backface-visibility: hidden;
}
.pairs8 {
  width: calc(25% - 10px);
  height: calc(25% - 10px);
}
@media screen and (orientation:landscape) {
	.pairs15 {
	  width: calc(16.667% - 10px);
	  height: calc(20% - 10px);
	}
	.pairs14 {
	  width: calc(14.286% - 10px);
	  height: calc(25% - 10px);
	}
	.pairs12 {
	  width: calc(16.667% - 10px);
	  height: calc(25% - 10px);
	}
	.pairs10 {
	  width: calc(20% - 10px);
	  height: calc(25% - 10px);
	}
	.pairs6 {
	  width: calc(25% - 10px);
	  height: calc(33.333% - 10px);
	}
}
@media screen and (orientation:portrait) {
	.pairs15 {
	  width: calc(20% - 10px);
	  height: calc(16.667% - 10px);
	}
	.pairs14 {
	  width: calc(25% - 10px);
	  height: calc(14.286% - 10px);
	}
	.pairs12 {
	  width: calc(25% - 10px);
	  height: calc(16.667% - 10px);
	}
	.pairs10 {
	  width: calc(25% - 10px);
	  height: calc(20% - 10px);
	}
	.pairs6 {
	  width: calc(33.333% - 10px);
	  height: calc(25% - 10px);
	}
}

.game-card:active {
  transform: scale(0.97);
  transition: transform .2s;
}

.game-card.flip {
  transform: rotateY(180deg);
}

.front-face,
.back-face {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: absolute;
  padding: 0px;
  box-sizing: border-box;
  border-radius: 1.5vmin;
  border:1vmin solid #cdcdcd;
  background: #ececec;
  backface-visibility: hidden;
}

.front-face {
  font-size: 3vmin;
  font-stretch: 90%;
  hyphens: auto;
  color: #000000;
  transform: rotateY(180deg);
  overflow: hidden;
}
.front-face img {
  max-width: 100%;
  max-height: 100%;
}

.back-face {
  font-size:14vmin;
  font-weight: bold;
  color: #d2d2d2;
}

.checked > .front-face::before {
  content: "\2714";
  color: #009900;
  position: fixed;
  right: 1px;
  bottom: 1px;
}

#footer {
  padding: 10px;
  display: flex;
  flex-wrap: wrap;
}
#footer section {
  min-width: 240px;
  flex-grow: 1;
  flex-basis: 240px;
}
#privacy {
	font-size: 90%;
}
